## i3lock 1.0

=== Makefile ===
# slock - simple screen locker
# © 2006-2007 Anselm R. Garbe, Sander van Dijk
# © 2009 Michael Stapelberg

include config.mk

SRC = i3lock.c
OBJ = ${SRC:.c=.o}

all: options i3lock

options:
	@echo i3lock build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

i3lock: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f i3lock ${OBJ} i3lock-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p i3lock-${VERSION}
	@cp -R LICENSE Makefile README config.mk i3lock.1 ${SRC} i3lock-${VERSION}
	@tar -cf i3lock-${VERSION}.tar i3lock-${VERSION}
	@gzip i3lock-${VERSION}.tar
	@rm -rf i3lock-${VERSION}

install: all
	@echo installing executable file to $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(MANDIR)/man1
	$(INSTALL) -m 755 i3lock $(DESTDIR)$(PREFIX)/bin/i3lock
	$(INSTALL) -m 644 i3lock.1 $(MANDIR)/man1/i3lock.1

uninstall:
	@echo removing executable file from $(DESTDIR)$(PREFIX)/bin
	@rm -f $(DESTDIR)$(PREFIX)/bin/i3lock

.PHONY: all options clean dist install uninstall

## i3lock 2.0

=== Makefile ===
INSTALL=install
PREFIX=/usr

# Check if pkg-config is installed, we need it for building CFLAGS/LDFLAGS
ifeq ($(shell which pkg-config 2>/dev/null 1>/dev/null || echo 1),1)
$(error "pkg-config was not found")
endif

CFLAGS += -std=c99
CFLAGS += -pipe
CFLAGS += -Wall
CFLAGS += -D_GNU_SOURCE
CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms)
LDFLAGS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-image)
LDFLAGS += -lpam

FILES:=$(wildcard *.c)
FILES:=$(FILES:.c=.o)

VERSION:=2.0
GIT_VERSION:="2.0 (2010-07-23)"
CFLAGS += -DVERSION=\"${GIT_VERSION}\"

.PHONY: install clean uninstall

all: i3lock

i3lock: ${FILES}
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f i3lock ${FILES} i3lock-${VERSION}.tar.gz

install: all
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 755 i3lock $(DESTDIR)$(PREFIX)/bin/i3lock

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/i3lock

## i3lock 2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 INSTALL=install
 PREFIX=/usr
+SYSCONFDIR=/etc
 
 # Check if pkg-config is installed, we need it for building CFLAGS/LDFLAGS
 ifeq ($(shell which pkg-config 2>/dev/null 1>/dev/null || echo 1),1)
@@ -10,15 +11,21 @@
 CFLAGS += -pipe
 CFLAGS += -Wall
 CFLAGS += -D_GNU_SOURCE
+ifndef NOLIBCAIRO
 CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms)
 LDFLAGS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-image)
+else
+CFLAGS += -DNOLIBCAIRO
+CFLAGS += $(shell pkg-config --cflags xcb-keysyms xcb-dpms)
+LDFLAGS += $(shell pkg-config --libs xcb-keysyms xcb-dpms xcb-image)
+endif
 LDFLAGS += -lpam
 
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.0
-GIT_VERSION:="2.0 (2010-07-23)"
+VERSION:=2.1
+GIT_VERSION:="2.1 (2011-03-13)"
 CFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall
@@ -33,7 +40,9 @@
 
 install: all
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)/pam.d
 	$(INSTALL) -m 755 i3lock $(DESTDIR)$(PREFIX)/bin/i3lock
+	$(INSTALL) -m 644 i3lock.pam $(DESTDIR)$(SYSCONFDIR)/pam.d/i3lock
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/i3lock

## i3lock 2.2

=== Makefile ===
INSTALL=install
PREFIX=/usr
SYSCONFDIR=/etc

# Check if pkg-config is installed, we need it for building CFLAGS/LIBS
ifeq ($(shell which pkg-config 2>/dev/null 1>/dev/null || echo 1),1)
$(error "pkg-config was not found")
endif

CFLAGS += -std=c99
CFLAGS += -pipe
CFLAGS += -Wall
CPPFLAGS += -D_GNU_SOURCE
ifndef NOLIBCAIRO
CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms)
LIBS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-image)
else
CPPFLAGS += -DNOLIBCAIRO
CFLAGS += $(shell pkg-config --cflags xcb-keysyms xcb-dpms)
LIBS += $(shell pkg-config --libs xcb-keysyms xcb-dpms xcb-image)
endif
LIBS += -lpam

FILES:=$(wildcard *.c)
FILES:=$(FILES:.c=.o)

VERSION:=2.2
GIT_VERSION:="2.2 (2011-11-06)"
CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"

.PHONY: install clean uninstall

all: i3lock

i3lock: ${FILES}
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -f i3lock ${FILES} i3lock-${VERSION}.tar.gz

install: all
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)/pam.d
	$(INSTALL) -m 755 i3lock $(DESTDIR)$(PREFIX)/bin/i3lock
	$(INSTALL) -m 644 i3lock.pam $(DESTDIR)$(SYSCONFDIR)/pam.d/i3lock

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/i3lock

dist: clean
	[ ! -d i3lock-${VERSION} ] || rm -rf i3lock-${VERSION}
	[ ! -e i3lock-${VERSION}.tar.bz2 ] || rm i3lock-${VERSION}.tar.bz2
	mkdir i3lock-${VERSION}
	cp *.c *.h i3lock.1 i3lock.pam Makefile LICENSE README i3lock-${VERSION}
	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION:=$(shell /bin/echo '${GIT_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' Makefile > i3lock-${VERSION}/Makefile
	tar cfj i3lock-${VERSION}.tar.bz2 i3lock-${VERSION}
	rm -rf i3lock-${VERSION}

## i3lock 2.3.1

=== Makefile ===
--- 
+++ 
@@ -12,20 +12,22 @@
 CFLAGS += -Wall
 CPPFLAGS += -D_GNU_SOURCE
 ifndef NOLIBCAIRO
-CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms)
-LIBS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-image)
+CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms xcb-xinerama)
+LIBS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-xinerama xcb-image)
 else
 CPPFLAGS += -DNOLIBCAIRO
-CFLAGS += $(shell pkg-config --cflags xcb-keysyms xcb-dpms)
-LIBS += $(shell pkg-config --libs xcb-keysyms xcb-dpms xcb-image)
+CFLAGS += $(shell pkg-config --cflags xcb-keysyms xcb-dpms xcb-xinerama)
+LIBS += $(shell pkg-config --libs xcb-keysyms xcb-dpms xcb-image xcb-xinerama)
 endif
 LIBS += -lpam
+LIBS += -lev
+LIBS += -lX11
 
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.2
-GIT_VERSION:="2.2 (2011-11-06)"
+VERSION:=2.3.1
+GIT_VERSION:="2.3.1 (2012-03-15)"
 CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall

## i3lock 2.4.1

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.3.1
-GIT_VERSION:="2.3.1 (2012-03-15)"
+VERSION:=2.4.1
+GIT_VERSION:="2.4.1 (2012-06-02)"
 CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall
@@ -53,7 +53,7 @@
 	[ ! -d i3lock-${VERSION} ] || rm -rf i3lock-${VERSION}
 	[ ! -e i3lock-${VERSION}.tar.bz2 ] || rm i3lock-${VERSION}.tar.bz2
 	mkdir i3lock-${VERSION}
-	cp *.c *.h i3lock.1 i3lock.pam Makefile LICENSE README i3lock-${VERSION}
+	cp *.c *.h i3lock.1 i3lock.pam Makefile LICENSE README CHANGELOG i3lock-${VERSION}
 	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION:=$(shell /bin/echo '${GIT_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' Makefile > i3lock-${VERSION}/Makefile
 	tar cfj i3lock-${VERSION}.tar.bz2 i3lock-${VERSION}
 	rm -rf i3lock-${VERSION}

=== debian/changelog ===
i3lock (2.4.1-1~bpo60+1) squeeze-backports; urgency=low

  * Build for squeeze-backports

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 11 Sep 2012 14:22:07 +0200

i3lock (2.4.1-1) unstable; urgency=low

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 02 Jun 2012 14:48:29 +0200

i3lock (2.4-1) unstable; urgency=low

  * New upstream version (Closes: #664285, #664288)
  * Email change: Michael Stapelberg -> stapelberg@debian.org
  * Convert debian/copyright to machine-readable format
  * Convert to 3.0 (quilt)
  * Add debian/watch file
  * Move packaging to alioth

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 01 Apr 2012 13:31:20 +0200

i3lock (2.3.1-1) unstable; urgency=low

  * Fix compilation on some systems

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 15 Mar 2012 17:01:54 +0100

i3lock (2.3-1) unstable; urgency=low

  * Implement a visual unlock indicator
  * Support ISO_Level5_Shift and Caps Lock
  * Lock the password buffer in memory, clear it in RAM after verifying
  * Fork after the window is visible, not before
  * Bugfix: Copy the color depth from parent (root) window instead of
    hardcoding a depth of 24

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 15 Mar 2012 13:25:23 +0100

i3lock (2.2-1) unstable; urgency=low

  * Don’t re-grab pointer/keyboard on MappingNotify. In some rare situations,
    this lead to some keypresses "slipping through" to the last focused window.
  * Correctly handle Mode_switch/ISO_Level3_Shift
  * Render to a pixmap which is used as background for the window instead of
    copying contents on every expose event
  * Handle screen resolution changes while screen is locked
  * Manpage: document arguments for every option

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 06 Nov 2011 14:02:35 +0000

i3lock (2.1-1) unstable; urgency=low

  * Accept return/backspace when the buffer of 512 bytes is full
  * Handle numpad keys correctly (Closes: #602101)
  * Handle MappingNotify events (Closes: #602242)
  * Correctly check for errors when connecting to X11
  * Add i3lock.pam to not rely on debian’s /etc/pam.d/other anymore
  * don’t display debug output
  * add NOLIBCAIRO flag to permit compilation without cairo

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 13 Mar 2011 20:27:46 +0100

i3lock (2.0-2) unstable; urgency=low

  * change priority to optional

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 05 Sep 2010 18:19:15 +0200

i3lock (2.0-1) unstable; urgency=low

  * Complete rewrite of i3lock. Now using xcb instead of Xlib.
  * When a window obscures i3lock, it pushes itself back to the top again.
  * Display version when starting with -v

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 05 Sep 2010 11:34:19 +0200

i3lock (1.1-1) unstable; urgency=low

  * Implement background pictures (-i) and colors (-c)

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 02 Aug 2009 19:58:23 +0200

i3lock (1.0-1) unstable; urgency=low

  * Implement PAM support
  * Implement options for forking, beeping, DPMS

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 10 May 2009 12:54:05 +0200

i3lock (0.9-1) unstable; urgency=low

  * First release, forked from slock 0.9 (Closes: #521707)

 -- Michael Stapelberg <michael@stapelberg.de>  Fri, 01 May 2009 20:29:43 +0200

=== debian/control ===
Source: i3lock
Section: utils
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libpam0g-dev, libcairo2-dev, libxcb1-dev, libxcb-dpms0-dev, libxcb-keysyms1-dev, libxcb-image0-dev, pkg-config, libev-dev, libxcb-xinerama0-dev
Standards-Version: 3.9.3
Homepage: http://i3wm.org/i3lock/
Vcs-Git: git://git.debian.org/users/stapelberg/i3lock.git
Vcs-Browser: http://git.debian.org/?p=users/stapelberg/i3lock.git;a=summary

Package: i3lock
Architecture: any
Section: x11
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: improved screen locker
 i3lock is a simple screen locker like slock. After starting it, you will
 see a white screen (you can configure the color/an image). You can return
 to your screen by entering your password.
 .
 i3lock forks so you can combine it with an alias to suspend to RAM.
 .
 You can specify either a background color or a PNG image which will be
 displayed while your screen is locked.
 .
 You can specify whether i3lock should bell upon a wrong password.
 .
 i3lock uses PAM and therefore is compatible with LDAP etc.

## i3lock 2.5

=== Makefile ===
--- 
+++ 
@@ -11,23 +11,16 @@
 CFLAGS += -pipe
 CFLAGS += -Wall
 CPPFLAGS += -D_GNU_SOURCE
-ifndef NOLIBCAIRO
-CFLAGS += $(shell pkg-config --cflags cairo xcb-keysyms xcb-dpms xcb-xinerama)
-LIBS += $(shell pkg-config --libs cairo xcb-keysyms xcb-dpms xcb-xinerama xcb-image)
-else
-CPPFLAGS += -DNOLIBCAIRO
-CFLAGS += $(shell pkg-config --cflags xcb-keysyms xcb-dpms xcb-xinerama)
-LIBS += $(shell pkg-config --libs xcb-keysyms xcb-dpms xcb-image xcb-xinerama)
-endif
+CFLAGS += $(shell pkg-config --cflags cairo xcb-dpms xcb-xinerama xcb-atom xkbcommon xkbfile x11 x11-xcb)
+LIBS += $(shell pkg-config --libs cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xkbcommon xkbfile x11 x11-xcb)
 LIBS += -lpam
 LIBS += -lev
-LIBS += -lX11
 
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.4.1
-GIT_VERSION:="2.4.1 (2012-06-02)"
+VERSION:=2.5
+GIT_VERSION:="2.5 (2013-06-09)"
 CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall

=== debian/changelog ===
i3lock (2.5-1) unstable; urgency=low

  * New upstream version
  * Bump standards-version to 3.9.4 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 09 Jun 2013 11:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,22 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libpam0g-dev, libcairo2-dev, libxcb1-dev, libxcb-dpms0-dev, libxcb-keysyms1-dev, libxcb-image0-dev, pkg-config, libev-dev, libxcb-xinerama0-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~),
+               pkg-config,
+               libx11-dev,
+               libpam0g-dev,
+               libcairo2-dev,
+               libxcb1-dev,
+               libxcb-dpms0-dev,
+               libxcb-image0-dev,
+               libxcb-util0-dev,
+               libev-dev,
+               libxcb-xinerama0-dev,
+               libxkbcommon-dev (>= 0.2.0),
+               libxkbfile-dev,
+               libx11-dev,
+               libx11-xcb-dev
+Standards-Version: 3.9.4
 Homepage: http://i3wm.org/i3lock/
 Vcs-Git: git://git.debian.org/users/stapelberg/i3lock.git
 Vcs-Browser: http://git.debian.org/?p=users/stapelberg/i3lock.git;a=summary

=== debian/watch ===
version=3
http://i3wm.org/i3lock /i3lock/i3lock-(.+)\.tar\.bz2

## i3lock 2.6

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,17 @@
 CFLAGS += -pipe
 CFLAGS += -Wall
 CPPFLAGS += -D_GNU_SOURCE
-CFLAGS += $(shell pkg-config --cflags cairo xcb-dpms xcb-xinerama xcb-atom xkbcommon xkbfile x11 x11-xcb)
-LIBS += $(shell pkg-config --libs cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xkbcommon xkbfile x11 x11-xcb)
+CFLAGS += $(shell pkg-config --cflags cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
+LIBS += $(shell pkg-config --libs cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
 LIBS += -lpam
 LIBS += -lev
+LIBS += -lm
 
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.5
-GIT_VERSION:="2.5 (2013-06-09)"
+VERSION:=2.6
+GIT_VERSION:="2.6 (2014-07-18)"
 CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall

=== debian/changelog ===
i3lock (2.6-1) unstable; urgency=low

  * New upstream version
  * Bump standards-version to 3.9.5 (no changes necessary)
  * add debian/upstream-signing-key.pgp

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 18 Jul 2014 20:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                pkg-config,
-               libx11-dev,
                libpam0g-dev,
                libcairo2-dev,
                libxcb1-dev,
@@ -13,14 +12,14 @@
                libxcb-util0-dev,
                libev-dev,
                libxcb-xinerama0-dev,
-               libxkbcommon-dev (>= 0.2.0),
-               libxkbfile-dev,
-               libx11-dev,
-               libx11-xcb-dev
-Standards-Version: 3.9.4
+               libxkbcommon-dev (>= 0.4.0),
+               libxkbcommon-x11-dev (>= 0.4.0),
+               libxcb-xkb-dev,
+               libxkbfile-dev
+Standards-Version: 3.9.5
 Homepage: http://i3wm.org/i3lock/
-Vcs-Git: git://git.debian.org/users/stapelberg/i3lock.git
-Vcs-Browser: http://git.debian.org/?p=users/stapelberg/i3lock.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3lock.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3lock.git;a=summary
 
 Package: i3lock
 Architecture: any

## i3lock 2.7

=== Makefile ===
INSTALL=install
PREFIX=/usr
SYSCONFDIR=/etc
PKG_CONFIG=pkg-config

# Check if pkg-config is installed, we need it for building CFLAGS/LIBS
ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null 1>/dev/null || echo 1),1)
$(error "$(PKG_CONFIG) was not found")
endif

CFLAGS += -std=c99
CFLAGS += -pipe
CFLAGS += -Wall
CPPFLAGS += -D_GNU_SOURCE
CFLAGS += $(shell $(PKG_CONFIG) --cflags cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
LIBS += $(shell $(PKG_CONFIG) --libs cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
LIBS += -lpam
LIBS += -lev
LIBS += -lm

FILES:=$(wildcard *.c)
FILES:=$(FILES:.c=.o)

VERSION:=2.7
GIT_VERSION:="2.7 (2015-05-20)"
CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"

.PHONY: install clean uninstall

all: i3lock

i3lock: ${FILES}
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -f i3lock ${FILES} i3lock-${VERSION}.tar.gz

install: all
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)/pam.d
	$(INSTALL) -m 755 i3lock $(DESTDIR)$(PREFIX)/bin/i3lock
	$(INSTALL) -m 644 i3lock.pam $(DESTDIR)$(SYSCONFDIR)/pam.d/i3lock

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/i3lock

dist: clean
	[ ! -d i3lock-${VERSION} ] || rm -rf i3lock-${VERSION}
	[ ! -e i3lock-${VERSION}.tar.bz2 ] || rm i3lock-${VERSION}.tar.bz2
	mkdir i3lock-${VERSION}
	cp *.c *.h i3lock.1 i3lock.pam Makefile LICENSE README.md CHANGELOG i3lock-${VERSION}
	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION:=$(shell /bin/echo '${GIT_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' Makefile > i3lock-${VERSION}/Makefile
	tar cfj i3lock-${VERSION}.tar.bz2 i3lock-${VERSION}
	rm -rf i3lock-${VERSION}

=== debian/changelog ===
i3lock (2.7-1) unstable; urgency=medium

  * New upstream version
  * Bump standards-version to 3.9.6 (no changes necessary)
  * debian/copyright: clarify that the license is BSD-3-clause
  * debian/copyright: get rid of ranges in copyright years

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 20 May 2015 09:19:50 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libxcb-util0-dev,
                libev-dev,
                libxcb-xinerama0-dev,
-               libxkbcommon-dev (>= 0.4.0),
-               libxkbcommon-x11-dev (>= 0.4.0),
+               libxkbcommon-dev (>= 0.5.0),
+               libxkbcommon-x11-dev (>= 0.5.0),
                libxcb-xkb-dev,
                libxkbfile-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://i3wm.org/i3lock/
 Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3lock.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3lock.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh build
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

override_dh_auto_build:
	$(MAKE)

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/i3lock/ install

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  http://i3wm.org/i3lock /i3lock/i3lock-(.+)\.tar\.bz2

## i3lock 2.8

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.7
-GIT_VERSION:="2.7 (2015-05-20)"
+VERSION:=2.8
+GIT_VERSION:="2.8 (2016-06-04)"
 CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
 
 .PHONY: install clean uninstall

=== debian/changelog ===
i3lock (2.8-1) unstable; urgency=medium

  * New upstream version
  * Switch to secure VCS URLs
  * Bump standards-version to 3.9.7 (no changes necessary)
  * debian/copyright: don’t define the same license twice

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 04 Jun 2016 19:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                pkg-config,
                libpam0g-dev,
                libcairo2-dev,
@@ -14,12 +14,11 @@
                libxcb-xinerama0-dev,
                libxkbcommon-dev (>= 0.5.0),
                libxkbcommon-x11-dev (>= 0.5.0),
-               libxcb-xkb-dev,
-               libxkbfile-dev
-Standards-Version: 3.9.6
+               libxcb-xkb-dev
+Standards-Version: 3.9.7
 Homepage: http://i3wm.org/i3lock/
-Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3lock.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3lock.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3lock.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3lock.git/
 
 Package: i3lock
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#override_dh_auto_build:
#	dh_auto_build -- all docs mans

#override_dh_installchangelogs:
#	dh_installchangelogs RELEASE-NOTES-*

#override_dh_strip:
#	dh_strip --dbg-package=i3-wm-dbg

%:
	dh $@ --parallel

## i3lock 2.9.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+TOPDIR=$(shell pwd)
+UNAME=$(shell uname)
+
 INSTALL=install
 PREFIX=/usr
 SYSCONFDIR=/etc
@@ -12,18 +15,29 @@
 CFLAGS += -pipe
 CFLAGS += -Wall
 CPPFLAGS += -D_GNU_SOURCE
-CFLAGS += $(shell $(PKG_CONFIG) --cflags cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
-LIBS += $(shell $(PKG_CONFIG) --libs cairo xcb-dpms xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
+CFLAGS += $(shell $(PKG_CONFIG) --cflags cairo xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
+LIBS += $(shell $(PKG_CONFIG) --libs cairo xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
 LIBS += -lpam
 LIBS += -lev
 LIBS += -lm
 
+# OpenBSD lacks PAM, use bsd_auth(3) instead.
+ifneq ($(UNAME),OpenBSD)
+  LIBS += -lpam
+endif
+
 FILES:=$(wildcard *.c)
 FILES:=$(FILES:.c=.o)
 
-VERSION:=2.8
-GIT_VERSION:="2.8 (2016-06-04)"
-CPPFLAGS += -DVERSION=\"${GIT_VERSION}\"
+ifeq ($(wildcard .git),)
+  # not in git repository
+  VERSION := $(shell [ -f $(TOPDIR)/I3LOCK_VERSION ] && cat $(TOPDIR)/I3LOCK_VERSION | cut -d '-' -f 1)
+I3LOCK_VERSION:="2.9.1 (2017-06-21)"
+else
+  VERSION:=$(shell git describe --tags --abbrev=0)
+I3LOCK_VERSION:="2.9.1 (2017-06-21)"
+endif
+CPPFLAGS += -DVERSION=\"${I3LOCK_VERSION}\"
 
 .PHONY: install clean uninstall
 
@@ -49,6 +63,6 @@
 	[ ! -e i3lock-${VERSION}.tar.bz2 ] || rm i3lock-${VERSION}.tar.bz2
 	mkdir i3lock-${VERSION}
 	cp *.c *.h i3lock.1 i3lock.pam Makefile LICENSE README.md CHANGELOG i3lock-${VERSION}
-	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION:=$(shell /bin/echo '${GIT_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' Makefile > i3lock-${VERSION}/Makefile
+	sed -e 's/^\s*I3LOCK_VERSION:=\(.*\)/I3LOCK_VERSION:=$(shell /bin/echo '${I3LOCK_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' Makefile > i3lock-${VERSION}/Makefile
 	tar cfj i3lock-${VERSION}.tar.bz2 i3lock-${VERSION}
 	rm -rf i3lock-${VERSION}

=== debian/changelog ===
i3lock (2.9.1-1) unstable; urgency=medium

  * experimental to unstable as the freeze is over
  * New upstream version 2.9.1

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 21 Jun 2017 18:19:30 +0200

i3lock (2.9-1) experimental; urgency=medium

  * Upload to experimental during the freeze
  * Remove commented-out lines from debian/rules
  * New upstream version 2.9
  * Add build-dependency on libxcb-composite0-dev
  * Update Standards-Version to 3.9.8 (no changes necessary)
  * Use secure URL for Homepage: field

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 26 May 2017 10:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                libxcb-xinerama0-dev,
                libxkbcommon-dev (>= 0.5.0),
                libxkbcommon-x11-dev (>= 0.5.0),
-               libxcb-xkb-dev
-Standards-Version: 3.9.7
-Homepage: http://i3wm.org/i3lock/
+               libxcb-xkb-dev,
+               libxcb-composite0-dev
+Standards-Version: 3.9.8
+Homepage: https://i3wm.org/i3lock/
 Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3lock.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3lock.git/

## i3lock 2.10

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,8 @@
 CFLAGS += -pipe
 CFLAGS += -Wall
 CPPFLAGS += -D_GNU_SOURCE
-CFLAGS += $(shell $(PKG_CONFIG) --cflags cairo xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
-LIBS += $(shell $(PKG_CONFIG) --libs cairo xcb-xinerama xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
-LIBS += -lpam
+CFLAGS += $(shell $(PKG_CONFIG) --cflags cairo xcb-xinerama xcb-randr xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
+LIBS += $(shell $(PKG_CONFIG) --libs cairo xcb-xinerama xcb-randr xcb-atom xcb-image xcb-xkb xkbcommon xkbcommon-x11)
 LIBS += -lev
 LIBS += -lm
 
@@ -32,10 +31,10 @@
 ifeq ($(wildcard .git),)
   # not in git repository
   VERSION := $(shell [ -f $(TOPDIR)/I3LOCK_VERSION ] && cat $(TOPDIR)/I3LOCK_VERSION | cut -d '-' -f 1)
-I3LOCK_VERSION:="2.9.1 (2017-06-21)"
+I3LOCK_VERSION:="2.10 (2017-11-25)"
 else
   VERSION:=$(shell git describe --tags --abbrev=0)
-I3LOCK_VERSION:="2.9.1 (2017-06-21)"
+I3LOCK_VERSION:="2.10 (2017-11-25)"
 endif
 CPPFLAGS += -DVERSION=\"${I3LOCK_VERSION}\"

=== debian/changelog ===
i3lock (2.10-1) unstable; urgency=medium

  * New upstream version 2.10
  * Update Standards-Version (no changes necessary)
  * debian/watch: switch to secure URL

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 25 Nov 2017 08:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                libxkbcommon-dev (>= 0.5.0),
                libxkbcommon-x11-dev (>= 0.5.0),
                libxcb-xkb-dev,
-               libxcb-composite0-dev
-Standards-Version: 3.9.8
+               libxcb-composite0-dev,
+               libxcb-randr0-dev
+Standards-Version: 4.1.1
 Homepage: https://i3wm.org/i3lock/
 Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3lock.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3lock.git/

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

## i3lock 2.11.1

=== debian/changelog ===
i3lock (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 18 Oct 2018 08:37:32 +0200

i3lock (2.11-1) unstable; urgency=medium

  * delete debian/gbp.conf to disable pristine-tar
  * New upstream version 2.11
  * add libxcb-xrm build-dep
  * d/compat: switch to dh 11
  * d/control: update Vcs-* tags
  * d/copyright: switch http to https
  * d/control: bump standards-version (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 10 Oct 2018 18:49:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                pkg-config,
                libpam0g-dev,
                libcairo2-dev,
@@ -16,11 +16,12 @@
                libxkbcommon-x11-dev (>= 0.5.0),
                libxcb-xkb-dev,
                libxcb-composite0-dev,
-               libxcb-randr0-dev
-Standards-Version: 4.1.1
+               libxcb-randr0-dev,
+               libxcb-xrm-dev,
+Standards-Version: 4.1.4
 Homepage: https://i3wm.org/i3lock/
-Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3lock.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3lock.git/
+Vcs-Git: https://salsa.debian.org/stapelberg/i3lock.git
+Vcs-Browser: https://salsa.debian.org/stapelberg/i3lock
 
 Package: i3lock
 Architecture: any

## i3lock 2.13

=== debian/changelog ===
i3lock (2.13-1) unstable; urgency=medium

  * New upstream version 2.13
  * Convert upstream signing key to armored format
  * Update Vcs-*
  * Set myself as maintainer
  * Switch to debhelper-compat B-D

 -- Jakob Haufe <sur5r@debian.org>  Sat, 14 Nov 2020 21:29:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: i3lock
 Section: utils
 Priority: optional
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat (= 11),
                pkg-config,
                libpam0g-dev,
                libcairo2-dev,
@@ -20,8 +20,8 @@
                libxcb-xrm-dev,
 Standards-Version: 4.1.4
 Homepage: https://i3wm.org/i3lock/
-Vcs-Git: https://salsa.debian.org/stapelberg/i3lock.git
-Vcs-Browser: https://salsa.debian.org/stapelberg/i3lock
+Vcs-Git: https://salsa.debian.org/i3-team/i3lock.git
+Vcs-Browser: https://salsa.debian.org/i3-team/i3lock
 
 Package: i3lock
 Architecture: any

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/i3lock /i3lock/i3lock-(.+)\.tar\.bz2

## i3lock 2.14.1

=== debian/changelog ===
i3lock (2.14.1-1) unstable; urgency=medium

  * New upstream version 2.14.1
  * Recommend xss-lock as per upstream docs

 -- Jakob Haufe <sur5r@debian.org>  Thu, 23 Jun 2022 20:00:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
+               meson,
                pkg-config,
                libpam0g-dev,
                libcairo2-dev,
@@ -27,6 +28,7 @@
 Architecture: any
 Section: x11
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: xss-lock
 Description: improved screen locker
  i3lock is a simple screen locker like slock. After starting it, you will
  see a white screen (you can configure the color/an image). You can return

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/i3lock/ /i3lock/i3lock-(.+)\.tar\..*$

## i3lock 2.15

=== meson_options.txt ===
# -*- mode: meson -*-

=== debian/changelog ===
i3lock (2.15-2) unstable; urgency=medium

  * Add upstream patch to fix counter wraparound (Closes: #921773)
  * Update d/copyright
  * Document team maintenance
  * Recommend xssproxy

 -- Jakob Haufe <sur5r@debian.org>  Mon, 14 Apr 2025 21:57:58 +0200

i3lock (2.15-1) unstable; urgency=medium

  * New upstream version 2.15

 -- Jakob Haufe <sur5r@debian.org>  Mon, 29 Apr 2024 12:58:13 +0200

=== debian/control ===
Source: i3lock
Section: utils
Priority: optional
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
Build-Depends: debhelper-compat (= 13),
Build-Depends-Arch: libcairo2-dev,
                    libev-dev,
                    libpam0g-dev,
                    libxcb-composite0-dev,
                    libxcb-dpms0-dev,
                    libxcb-image0-dev,
                    libxcb-randr0-dev,
                    libxcb-util-dev,
                    libxcb-xinerama0-dev,
                    libxcb-xkb-dev,
                    libxcb-xrm-dev,
                    libxcb1-dev,
                    libxkbcommon-dev (>= 0.5.0),
                    libxkbcommon-x11-dev (>= 0.5.0),
                    meson,
                    pkgconf,
Standards-Version: 4.7.2
Homepage: https://i3wm.org/i3lock/
Vcs-Git: https://salsa.debian.org/i3-team/i3lock.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3lock
Rules-Requires-Root: no

Package: i3lock
Architecture: any
Section: x11
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: xss-lock,
            xssproxy,
Description: improved screen locker
 i3lock is a simple screen locker like slock. After starting it, you will
 see a white screen (you can configure the color/an image). You can return
 to your screen by entering your password.
 .
 i3lock forks so you can combine it with an alias to suspend to RAM.
 .
 You can specify either a background color or a PNG image which will be
 displayed while your screen is locked.
 .
 You can specify whether i3lock should bell upon a wrong password.
 .
 i3lock uses PAM and therefore is compatible with LDAP etc.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/i3lock/ /i3lock/i3lock-(.+)\.tar\..*$

## i3lock 2.16

=== debian/changelog ===
i3lock (2.16-1) unstable; urgency=medium

  * New upstream version 2.16

 -- Jakob Haufe <sur5r@debian.org>  Mon, 19 Jan 2026 10:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: i3lock
 Section: utils
-Priority: optional
 Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
 Uploaders: Jakob Haufe <sur5r@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
@@ -21,7 +20,7 @@
                     libxkbcommon-x11-dev (>= 0.5.0),
                     meson,
                     pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://i3wm.org/i3lock/
 Vcs-Git: https://salsa.debian.org/i3-team/i3lock.git
 Vcs-Browser: https://salsa.debian.org/i3-team/i3lock
